/* Variables */

:root{
  --primary:                #008268 !important;
  --secondary:              #00AEF0 !important;
  --white:                  #fff !important;
  --gray:                   #E2E2E2 !important;
  --black:                  #000 !important;
  --purple:                 #be85b9 !important;
  --green:                  #008268 !important;
  --green-light:            #edf5e3 !important;
  --global_border_radius:   12px !important;
  --plyr-color-main:        #008268 !important;
  --plyr-control-radius:    50% !important;
  --plyr-control-padding:   10px !important;
  --plyr-control-icon-size: 16px !important;
}

body{
  font-family: 'Lato', sans-serif;
  font-weight: 400;
  color: #6d7b89;
}

h1, h2, h3, h4, h5, h6{
  font-family: 'Roboto Slab', serif;
  font-weight: 400;
  color: var(--bs-body-color);
}

a{
  color: var(--primary);
  text-decoration: none;
}

a:hover{
  color: var(--primary);
  text-decoration: underline;
}

::-moz-selection { /* Code for Firefox */
  color: var(--white);
  background: var(--primary);
}

::selection {
  color: var(--white);
  background: var(--primary);
}

/* Utilities */

.rounded-6 {
    border-radius: 1rem;
}

header .logo{
  height: 50px;
}

.bg-green{
  background: #edf5e3;
  background-color: #edf5e3;
}

.bg-primary {
  background: var(--primary) !important;
  background-color: var(--primary) !important;
}

.box-shadow{
  box-shadow: rgba(0, 0, 0, 0.1) -4px 9px 25px -6px;
}

/* Course page */

#list_course_attachments{
  max-height: 320px;
  overflow-y: auto;
}

/* Buttons */

.btn-primary, .btn-primary.disabled, .btn-primary:disabled{
  background: var(--primary);
  background-color: var(--primary);
  border-color: var(--primary);
}

.btn-primary:active:focus,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover{
  background: var(--primary);
  background-color: var(--primary);
  border-color: var(--primary);
  box-shadow: none;
  text-decoration: none;
}

/* Test */

.form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

#timer{
  display: inline-block;
}

/* Video player */

#chapter_container{
    position: absolute;
    bottom: 25px;
    left: 45px;
    width: 100%;
    height: 2px;
    z-index: 9999;
}

.chapter{
        width: 3px;
        height: 12px;
        /* border-radius: 50%; */
        background-color: rgba(255,255,255,1);
        position: relative;
        top: -5px;
        position: absolute;
}

#chapter_container .chapter_completed{
    background-color: var(--primary);
}

.video-not-available{
    display: none;
    position: absolute;
    top: 0px;
    left: 12px;
    width: calc(100% - 24px);
    height: 100%;
    opacity: 1;
    z-index: 9999;
    background-size: cover;
    background-position: center;
    text-align: center;
}

.video-not-available > div{
    position: relative;
    height: 100%;
    background-color: rgba(52, 58, 64, 0.8);
}

#list_course_attachments .icon_status{
    color: var(--gray);
}

#list_course_attachments .icon_status.fa-check-circle{
    color: var(--green);
}

#list_course_attachments .icon_status.fa-clock{
    color: var(--purple);
}

.list-group-item+.list-group-item.active {
  background-color: var(--green-light);
  border-color: var(--green-light);
  color: inherit;
}

.list-group-item.active{
  background-color: var(--green-light);
  border-color: var(--green-light);
  color: inherit;
}

#list_course_attachments::-webkit-scrollbar {
    width: 8px;
}

#list_course_attachments::-webkit-scrollbar-thumb {
    background: var(--primary);
}

#list_course_attachments::-webkit-scrollbar-track {
    background: #f1f1f1;
}
